### 7.31 `strncasecmp`—case-insensitive character string compare ¶

Synopsis

    #include <strings.h>
    int strncasecmp(const char *a, const char * b, size_t length);

Description
`strncasecmp` compares up to length characters from the string at a to the string at b in a case-insensitive manner.

Returns

If `*a` sorts lexicographically after `*b` (after both are converted to lowercase), `strncasecmp` returns a number greater than zero. If the two strings are equivalent, `strncasecmp` returns zero. If `*a` sorts lexicographically before `*b`, `strncasecmp` returns a number less than zero.

Portability
`strncasecmp` is in the Berkeley Software Distribution.

`strncasecmp` requires no supporting OS subroutines. It uses tolower() from elsewhere in this library.